How to install version 7.1 of DM using TiUP?

Note:
This topic has been translated from a Chinese forum by GPT and might contain errors.

Original topic: tiup怎么安装7.1版本的dm?

| username: lindoubled

tiup list dm shows that the highest version is only v1.12.3. How can I install version 7.1 of dm?

Installing v1.12.3 also reports an error

| username: 有猫万事足 | Original post link

This v1.12.3 refers to the version of the tiup dm command, not the version of the dm tool.

You can directly execute tiup dm deploy pro v7.1.0.

| username: lindoubled | Original post link

The image you provided is not visible. Please provide the text you need translated.

| username: 有猫万事足 | Original post link

The final .0 in v7.1.0 needs to be added.

| username: lindoubled | Original post link

v7.1.0 works, but v7.1 does not.

| username: lindoubled | Original post link

How can I check which versions of DM are available using tiup?

| username: 有猫万事足 | Original post link

Yes, because the LTS version will be upgraded. You need to specify the last version.

| username: 有猫万事足 | Original post link

I am not sure about this either. Same question here.

I usually check the version list in the documentation or directly go to GitHub to see which version numbers are available.

| username: dockerfile | Original post link

tiup list dmctl

tiup list dm

| username: lindoubled | Original post link

You can view it using tiup list dmctl.

| username: system | Original post link

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.